summaryrefslogtreecommitdiff
path: root/contrib/run-script-sygusComp2018-INV
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/run-script-sygusComp2018-INV')
-rw-r--r--contrib/run-script-sygusComp2018-INV37
1 files changed, 37 insertions, 0 deletions
diff --git a/contrib/run-script-sygusComp2018-INV b/contrib/run-script-sygusComp2018-INV
new file mode 100644
index 000000000..57870a5af
--- /dev/null
+++ b/contrib/run-script-sygusComp2018-INV
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+cvc4=./cvc4
+bench="$1"
+
+function runl {
+ limit=$1; shift;
+ ulimit -S -t "$limit";$cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null
+}
+
+function trywith {
+ sol=$(runl $@)
+ status=$?
+ if [ $status -ne 134 ]; then
+ echo $sol |&
+ (read result w1 w2;
+ case "$result" in
+ unsat)
+ case "$w1" in
+ "(define-fun") echo "$w1 $w2";cat;exit 0;;
+ esac; exit 1;;
+ esac; exit 1)
+ if [ ${PIPESTATUS[1]} -eq 0 ]; then exit 0; fi
+ fi
+}
+
+function finishwith {
+ $cvc4 --lang=sygus --no-checking --no-interactive --default-dag-thresh=0 "$@" $bench 2>/dev/null |
+ (read result w1;
+ case "$result" in
+ unsat) echo "$w1";cat;exit 0;;
+ esac)
+}
+
+trywith 10
+trywith 120 --sygus-unif
+finishwith --no-sygus-repair-const
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback